Buy Percona ServicesBuy Now!

Best way to install both XtraBackup 8.0 and 2.4 on Ubuntu 16?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Best way to install both XtraBackup 8.0 and 2.4 on Ubuntu 16?

    We run both MySQL 5.7 and 8.0 database instances on the same Ubuntu 16 host machine. We want to use XtraBackup for our backups, but we need XtraBackup 2.4 for our MYSQL 5.7 databases and XtraBackup 8.0 for our MySQL 8.0 databases.

    If we install XtraBackup 2.4 from the Percona repository using apt-get, and then install XtraBackup 8.0, the second 'apt-get install' command removes XtraBackup 2.4. It seems that the two versions of XtraBackup are not intended to co-exist on the same host.

    We cannot use the "Generic Linux" tarballs, because they have been compiled using versions of libssl and libcrypto that are not available as Ubuntu packages.

    Has anyone else encountered this problem? What solution do you recommend?
Working...
X